List Clarity Process Links
curl --request GET \
--url https://api.duvo.ai/v2/organizations/{orgId}/clarity/hierarchy/process-links \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.duvo.ai/v2/organizations/{orgId}/clarity/hierarchy/process-links"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.duvo.ai/v2/organizations/{orgId}/clarity/hierarchy/process-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"process_links": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "hands_off_to",
"state": "suggested",
"confidence": 0.5,
"rationale": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"total": 0,
"limit": 0,
"offset": 0
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Clarity
List Clarity Process Links
List process-to-process links in the organization’s Clarity landscape that are visible within the caller’s team access scope. Use node_id to find links touching a specific process node.
GET
/
v2
/
organizations
/
{orgId}
/
clarity
/
hierarchy
/
process-links
List Clarity Process Links
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
Query Parameters
Only return links that touch this hierarchy process node
Number of links per page (1-500, default 100)
Required range:
1 <= x <= 500Number of links to skip (default 0)
Required range:
0 <= x <= 9007199254740991Response
Default Response
Process links in the current team
Show child attributes
Show child attributes
Total links matching the query
Required range:
-9007199254740991 <= x <= 9007199254740991Number of links requested
Required range:
-9007199254740991 <= x <= 9007199254740991Number of links skipped
Required range:
-9007199254740991 <= x <= 9007199254740991Was this page helpful?